export default TabGroup;
/** @type {React.ComponentType<any>} */
declare class TabGroup extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    scrollContainerRef: React.RefObject<any>;
    activeTabRef: React.RefObject<any>;
    state: {
        canScrollLeft: boolean;
        canScrollRight: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    scrollToActiveTab: () => void;
    checkForScrollPosition: () => void;
    handleResize: () => void;
    handleScroll: () => void;
    scrollContainerBy: (distance: any) => void;
    render(): JSX.Element;
}
declare namespace TabGroup {
    const propTypes: React.WeakValidationMap<any> | undefined;
}
import React from "react";
